Contenu | Rechercher | Menus
Selon les tags présents sur cette page, celle-ci est ancienne et ne contient plus d'informations sur une des versions supportées d'Ubuntu.
Selon les tags présents sur cette page, les informations qu'elle contient n'ont pas été vérifiées depuis Ubuntu 10.04 LTS.
Apportez votre aide…

Puce 3G Qualcomm Gobi

Compatibilité

Cette page est uniquement valable pour les puce 3G Qualcomm gobi (et pas les versions gobi 2000).

Est décrite la méthode fonctionnelle et testée pour Karmic (9.10), Maverick (10.10) et pour Natty (11.04) ; pour une raison de régression dans le noyau de Lucid (10.04), ce tutoriel ne suffit pas (voir explication dans chapitre correspondant).

Pré-requis

Installation

Pour permettre de faire fonctionner le module 3G, plusieurs composants sont nécessaires :

  • le module qcserial (intégré au noyau depuis la version 2.6.30)
  • le firmware (à récupérer dans les pilotes pour windows)
  • le chargeur de firmware gobi loader (à compiler)

Tout d'abord commencez par vérifier que le type de puce installée dans votre PC correspond :

lsusb | grep Qualcomm

doit renvoyer la ligne :

Bus 001 Device 004: ID 05c6:9221 Qualcomm, Inc.

Important : l'ID renvoyé par votre terminal doit correspondre à celui inscrit ici, soit 05c6:9221

Si ce n'est pas le cas, votre matériel est différent et risque de nécessiter une autre méthode d'installation

Lucid (noyau ≥ 2.6.32 et < 2.6.35)

Les noyaux ≥ 2.6.32 et < 2.6.35 ne sont plus compatibles de base avec le gobi loader.

Deux pistes vous sont proposées ci-dessous pour le faire fonctionner, ne les ayant pas testé par moi-même, je ne peux garantir leur succès.

Quelle que soit la méthode utilisée, il sera certainement nécessaire d'installer ensuite le gobi loader, pour cela référez-vous à la section suivante (noyau ≥ 2.6.35)

Méthode 1 (simple) : installer un module depuis les dépôts

Cette méthode consiste à installer le module linux-backports-modules-wwan-lucid-generic linux-backports-modules-wwan-lucid-generic.

Si vous ne trouvez pas ce paquet dans les dépôts, il est également disponible ici, veillez à choisir le paquet correspondant à votre version d'ubuntu (i386 pour les versions 32bits et amd64 pour les versions 64bits).

Méthode 2 (compliquée) : patcher le noyau

Cette méthode nécessite de récupérer un patch ainsi que les sources du noyau que vous souhaitez utiliser, d'appliquer le patch et de recompiler le noyau. L'explication et le patch sont disponibles à cette page.

Karmic, Maverick, Natty (noyau ≥ 2.6.30, noyau ≥ 2.6.35)

Le firmware est contenu dans le pilote pour windows du module. Ceux qui comme moi n'ont pas conservé ce système doivent donc les télécharger :

wget ftp://ftp.vaio-link.com/PUB/VAIO/ORIGINAL/WWAN_DRIVER_OPTION_1.0.09_00.ZIP

Il faut ensuite copier les bons fichiers amss.mbn et apps.mbn dans /lib/firmware/gobi/, plusieurs versions de ces fichiers sont contenus dans des sous-répertoires (numérotés de 0 à 9) dans WWAN_Driver_Option_1.0.09/72-VJ725-4_1.0.12/Source/Packages/

Important : les fichiers à copier dépendent à priori de l'opérateur et donc du pays. Les commandes indiquées ci-dessous copient les fichiers contenu dans le répertoire 0, cela fonctionne notamment pour la France et l'Allemagne.

unzip WWAN_DRIVER_OPTION_1.0.09_00.ZIP
sudo mkdir /lib/firmware/gobi && sudo cp WWAN_Driver_Option_1.0.09/72-VJ725-4_1.0.12/Source/Packages/0/* /lib/firmware/gobi/

Enfin, nous allons avoir besoin du chargeur de firmware "gobi loader".

Depuis Natty (11.04), il est directement disponible depuis les dépôts gobi-loader. Il suffit de l'installer, de redémarrer et tout doit fonctionner (le tutoriel s'arrête ici).

Pour les versions plus anciennes, il va falloir compiler le gobi loader; pour cela vous devrez au préalable avoir installé le paquet build-essential.

Récupérez la version la plus à jour de gobi loader à cette adresse : http://www.codon.org.uk/~mjg59/gobi_loader/download/ , enregistrez l'archive dans votre répertoire personnel.

Commencez par extraire l'archive :

tar xzf gobi_loader-0.7.tar.gz

Placez vous dans le répertoire et lancez la compilation :

cd gobi_loader-0.7
make
sudo make install

La compilation sera à effectuer à chaque mise à jour du noyau.

Une fois terminé, redémarrez votre ordinateur, si vous utilisez network-manager vous devez voir apparaître l'intitulé "Connexion mobile à large bande"

 Affichage connexion large bande nm-applet

Si non afin de vérifier que le module est correctement lancé, retapez la commande suivante et vérifiez que l'ID du matériel a bien changé (il se termine par un 2 au lieu d'un 1 auparavant) :

lsusb | grep Qualcomm

elle doit renvoyer la ligne :

Bus 001 Device 004: ID 05c6:9222 Qualcomm, Inc.

Voir aussi


Contributeurs principaux : spineaker



Le contenu de ce wiki est sous licence : CC BY-SA v3.0